{
  "openapi": "3.0.3",
  "info": {
    "title": "Reporting API",
    "version": "0.0.0"
  },
  "paths": {
    "/WCFB/report": {
      "parameters": [
        {
          "name": "StartDate",
          "in": "query",
          "required": true,
          "schema": {
            "$ref": "#/components/schemas/startDate"
          }
        },
        {
          "name": "EndDate",
          "in": "query",
          "required": true,
          "schema": {
            "$ref": "#/components/schemas/endDate"
          }
        }
      ],
      "get": {
        "description": "get a report.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/csv": {}
            }
          }
        }
      }
    },
    "/WCFB/report/version": {
      "get": {
        "description": "returns a string with the version number.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "description": "Version number of the API.",
                  "example": "10.4.2",
                  "nullable": false,
                  "type": "string"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "BadRequest": {
        "description": "The request was malformed",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/EovError"
            }
          }
        }
      },
      "NotFound": {
        "description": "The specified resource was not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/EovError"
            }
          }
        }
      },
      "ServerError": {
        "description": "There was an error in the server.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/EovError"
            }
          }
        }
      }
    },
    "schemas": {
      "EovError": {
        "description": "Not Acceptable",
        "type": "object",
        "example": {
          "message": ".response should have required property 'name', .response should have required property 'id'",
          "errors": [
            {
              "path": ".response.name",
              "message": "should have required property 'name'",
              "errorCode": "required.openapi.validation"
            },
            {
              "path": ".response.id",
              "message": "should have required property 'id'",
              "errorCode": "required.openapi.validation"
            }
          ]
        },
        "properties": {
          "message": {
            "type": "string"
          },
          "errors": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "path": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                },
                "errorCode": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "endDate": {
        "description": "End date for report information.",
        "example": "2022-02-02T00:00:00.000Z",
        "nullable": false,
        "type": "string",
        "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
      },
      "startDate": {
        "description": "Start date for report  information.",
        "example": "2022-02-02T00:00:00.000Z",
        "nullable": false,
        "type": "string",
        "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
      }
    }
  }
}

